This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 463373 - [LTC 6.0 FEAT] 201193:Page cache enhancements for 64k pages
[LTC 6.0 FEAT] 201193:Page cache enhancements for 64k pages
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
medium Severity medium
: alpha
: ---
Assigned To: Ameet Paranjape
Martin Jenner
:
Depends On:
Blocks: 356741 465490
  Show dependency treegraph
 
Reported: 2008-09-22 23:20 EDT by IBM Bug Proxy
Modified: 2009-06-20 01:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-03 17:23:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 23:20:53 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:30 EDT
1. Feature Overview:
Feature Id:	[201193]
a. Name of Feature:	Page cache enhancements for 64k pages
b. Feature Description
With a 64k base page size on ppc64 there is an increase likelihood of memory fragmentation in the
page cache.  Small files and file tails can be packed together to share a page in the page cache to
reduce overhead of 64k pages when there are many small files.

2. Feature Details:
Sponsor:	LTC
Architectures:
ppc64

Arch Specificity: Both
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Rework Necessary
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.28 if we can gain traction in the community
Performance Assistance:	yes

3. Business Case
System p performance optimisation. These patches are to improve performance for the set of
applications that are doing a lot of small file work and may not see the benefit from a 64K base
page size.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
David Kleikamp, shaggy@us.ibm.com

IBM Manager:
Pat Gaughen, gaughen@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 12:37:12 EDT
Putting in NEEDINFO pending upstream discussion/code/acceptance.
Comment 2 IBM Bug Proxy 2009-03-02 12:41:19 EST
IBM is marking this feature as "Quit" for RHEL 6.
Comment 3 Bill Nottingham 2009-03-03 17:23:46 EST
OK, closing.

Note You need to log in before you can comment on or make changes to this bug.